﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL_DataGrid_StylingCheckBox
{
    public partial class MainPage : UserControl
    {
        List<MyDataClass> dataList = new List<MyDataClass>();

        public MainPage()
        {
            InitializeComponent();

            DateTime dt = DateTime.Now;

            dataList.Add(new MyDataClass(1, "John", true, dt.AddDays(10)));
            dataList.Add(new MyDataClass(2, "James", false, dt.AddDays(-10)));
            dataList.Add(new MyDataClass(3, "Dave", false, dt.AddDays(30)));
            dataList.Add(new MyDataClass(4, "Peter", true, dt.AddDays(-50)));
            dataList.Add(new MyDataClass(5, "Sam", false, dt.AddDays(-90)));
            dataList.Add(new MyDataClass(6, "Tim", true, dt.AddDays(100)));

            c1DataGrid1.ItemsSource = dataList;
            c1DataGrid1.LoadedCellPresenter += new EventHandler<C1.Silverlight.DataGrid.DataGridCellEventArgs>(c1DataGrid1_LoadedCellPresenter);

        }

        void c1DataGrid1_LoadedCellPresenter(object sender, C1.Silverlight.DataGrid.DataGridCellEventArgs e)
        {
            if (e.Cell.Column.GetType() == typeof(C1.Silverlight.DataGrid.DataGridCheckBoxColumn))
            {                
                CheckBox newCheckBox = new CheckBox();
                
                System.Windows.Data.Binding bnd = new System.Windows.Data.Binding();
                bnd.Source = e.Cell;
                bnd.Path = new PropertyPath("Value");
                bnd.Mode = System.Windows.Data.BindingMode.TwoWay;
                newCheckBox.SetBinding(CheckBox.IsCheckedProperty, bnd);
                e.Cell.Presenter.Content = newCheckBox;
                e.Cell.Presenter.HorizontalContentAlignment = System.Windows.HorizontalAlignment.Center;
                e.Cell.Presenter.VerticalContentAlignment = System.Windows.VerticalAlignment.Center;
            }
        }
    }

    public class MyDataClass
    {
        public MyDataClass() { }
        public MyDataClass(int _id, string _name, bool _status, DateTime _dob)
        {
            ID = _id;
            Name = _name;
            Status = _status;
            DateOfBirth = _dob;
        }

        public int ID { get; set; }
        public string Name { get; set; }
        public bool Status { get; set; }
        public DateTime DateOfBirth { get; set; }

    }
}
